List Instance rulesets

GET /v1/{crn}/rulesets

List all rulesets at the instance level.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.zones.read

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.rulesets.read

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

array

Container for response information

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Get an instance ruleset

GET /v1/{crn}/rulesets/{ruleset_id}

View a specific instance ruleset.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.zones.read

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.rulesets.read

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

ruleset_id

Required *

string

ID of a specific ruleset

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

ruleset_details

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Update an instance ruleset

PUT /v1/{crn}/rulesets/{ruleset_id}

Update a specific instance ruleset.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.zones.manage

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.rules.update

Request

Request Body

ruleset_update

description

string

Description of the ruleset

kind

string

name

string

Human readable name of the ruleset.

phase

string

The phase of the ruleset.

rules

array

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

ruleset_id

Required *

string

ID of a specific ruleset

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

ruleset_details

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Delete an instance ruleset

DELETE /v1/{crn}/rulesets/{ruleset_id}

Delete a specific instance ruleset.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.zones.manage

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.rulesets.delete

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

ruleset_id

Required *

string

ID of a specific ruleset

Query Parameters

Response

204 - Success

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

List version of an instance ruleset

GET /v1/{crn}/rulesets/{ruleset_id}/versions

List all versions of a specific instance ruleset.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.zones.read

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.rulesets-versions.read

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

ruleset_id

Required *

string

ID of a specific ruleset

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

array

Container for response information

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Get a specific version of an instance ruleset

GET /v1/{crn}/rulesets/{ruleset_id}/versions/{ruleset_version}

View a specific version of a specific instance ruleset.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.zones.read

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.rulesets-versions.read

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

ruleset_id

Required *

string

ID of a specific ruleset

ruleset_version

Required *

string

The version of the ruleset

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

ruleset_details

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Delete a specific version of an instance ruleset

DELETE /v1/{crn}/rulesets/{ruleset_id}/versions/{ruleset_version}

Delete a specific version of a specific instance ruleset.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.zones.manage

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.rulesets-versions.delete

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

ruleset_id

Required *

string

ID of a specific ruleset

ruleset_version

Required *

string

The version of the ruleset

Query Parameters

Response

204 - Success

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Get an instance entrypoint ruleset

GET /v1/{crn}/rulesets/phases/{ruleset_phase}/entrypoint

Get the instance ruleset for the given phase's entrypoint.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.zones.read

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.rulesets-phases-entrypoint.read

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

ruleset_phase

Required *

The phase of the ruleset

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

ruleset_details

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Update an instance entrypoint ruleset

PUT /v1/{crn}/rulesets/phases/{ruleset_phase}/entrypoint

Updates the instance ruleset for the given phase's entry point.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.zones.manage

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.rulesets-phases-entrypoint.update

Request

Request Body

ruleset_update

description

string

Description of the ruleset

kind

string

name

string

Human readable name of the ruleset.

phase

string

The phase of the ruleset.

rules

array

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

ruleset_phase

Required *

The phase of the ruleset

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

ruleset_details

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

List an instance entry point ruleset's versions

GET /v1/{crn}/rulesets/phases/{ruleset_phase}/entrypoint/versions

Lists the instance ruleset versions for the given phase's entry point.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.zones.read

Auditing

Calling this method generates the following auditing event.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

ruleset_phase

Required *

The phase of the ruleset

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

array

Container for response information

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Get an instance entry point ruleset version

GET /v1/{crn}/rulesets/phases/{ruleset_phase}/entrypoint/versions/{ruleset_version}

Fetches a specific version of an instance entry point ruleset.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.zones.read

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.rulesets-phases-entrypoint-versions.read

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

ruleset_phase

Required *

The phase of the ruleset

ruleset_version

Required *

string

The version of the ruleset

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

ruleset_details

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Create an instance ruleset rule

POST /v1/{crn}/rulesets/{ruleset_id}/rules

Create an instance ruleset rule.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.zones.manage

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.rulesets-rules.create

Request

Request Body

rule_create

action

Required *

string

What happens when there is a match for the rule expression

action_parameters

action_parameters

id

string

Unique ID of the ruleset

overrides

object

version

string

The version of the ruleset. Use "latest" to get the latest version.

ruleset

string

Ruleset ID of the ruleset to apply action to. Use "current" to apply to the current ruleset.

rulesets

array

List of ruleset ids to apply action to. Use "current" to apply to the current ruleset.

response

object

description

string

enabled

boolean

expression

Required *

string

The expression defining which traffic will match the rule.

id

string

logging

logging

enabled

Required *

boolean

ref

string

The reference of the rule (the rule ID by default).

position

position

before

string

The rule ID to place this rule before

after

string

The rule ID to place this rule after

index

integer

The index to place this rule at

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

ruleset_id

Required *

string

ID of a specific ruleset

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

rule_details

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Update an instance ruleset rule

PATCH /v1/{crn}/rulesets/{ruleset_id}/rules/{rule_id}

Update an instance ruleset rule.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.zones.manage

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.rulesets-rules.update

Request

Request Body

rule_update

action

string

What happens when there is a match for the rule expression

action_parameters

action_parameters

id

string

Unique ID of the ruleset

overrides

object

version

string

The version of the ruleset. Use "latest" to get the latest version.

ruleset

string

Ruleset ID of the ruleset to apply action to. Use "current" to apply to the current ruleset.

rulesets

array

List of ruleset ids to apply action to. Use "current" to apply to the current ruleset.

response

object

description

string

enabled

boolean

expression

string

The expression defining which traffic will match the rule.

id

string

logging

logging

enabled

Required *

boolean

ref

string

The reference of the rule (the rule ID by default).

position

position

before

string

The rule ID to place this rule before

after

string

The rule ID to place this rule after

index

integer

The index to place this rule at

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

ruleset_id

Required *

string

ID of a specific ruleset

rule_id

Required *

string

ID of a specific rule

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

rule_details

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Delete an instance ruleset rule

DELETE /v1/{crn}/rulesets/{ruleset_id}/rules/{rule_id}

Delete an instance ruleset rule.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.zones.read

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.rulesets-rules.read

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

ruleset_id

Required *

string

ID of a specific ruleset

rule_id

Required *

string

ID of a specific rule

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

rule_details

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

List an instance ruleset verion's rules by tag

GET /v1/{crn}/rulesets/{ruleset_id}/versions/{ruleset_version}/by_tag/{rule_tag}

Lists rules by tag for a specific version of an instance ruleset.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.zones.read

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.rulesets-versions-by-tag.read

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

ruleset_id

Required *

string

ID of a specific ruleset

ruleset_version

Required *

string

The version of the ruleset

rule_tag

Required *

string

A category of the rule

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

ruleset_details

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

List zone rulesets

GET /v1/{crn}/zones/{zone_identifier}/rulesets

List all rulesets at the zone level.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.security.read

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.zone-rulesets.read

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

array

Container for response information

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Get a zone ruleset

GET /v1/{crn}/zones/{zone_identifier}/rulesets/{ruleset_id}

View a specific zone ruleset.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.security.read

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.zone-rulesets.read

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

ruleset_id

Required *

string

ID of a specific ruleset

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

ruleset_details

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Update a zone ruleset

PUT /v1/{crn}/zones/{zone_identifier}/rulesets/{ruleset_id}

Update a specific zone ruleset.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.security.manage

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.zone-rulesets.update

Request

Request Body

ruleset_update

description

string

Description of the ruleset

kind

string

name

string

Human readable name of the ruleset.

phase

string

The phase of the ruleset.

rules

array

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

ruleset_id

Required *

string

ID of a specific ruleset

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

ruleset_details

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Delete a zone ruleset

DELETE /v1/{crn}/zones/{zone_identifier}/rulesets/{ruleset_id}

Delete a specific zone ruleset.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.security.manage

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.zone-rulesets.delete

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

ruleset_id

Required *

string

ID of a specific ruleset

Query Parameters

Response

204 - Success

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

List version of a zone ruleset

GET /v1/{crn}/zones/{zone_identifier}/rulesets/{ruleset_id}/versions

List all versions of a specific zone ruleset.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.security.read

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.zone-rulesets-versions.read

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

ruleset_id

Required *

string

ID of a specific ruleset

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

array

Container for response information

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Get a specific version of a zone ruleset

GET /v1/{crn}/zones/{zone_identifier}/rulesets/{ruleset_id}/versions/{ruleset_version}

View a specific version of a specific zone ruleset.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.security.read

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.zone-rulesets-versions.read

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

ruleset_id

Required *

string

ID of a specific ruleset

ruleset_version

Required *

string

The version of the ruleset

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

ruleset_details

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Delete a specific version of a zone ruleset

DELETE /v1/{crn}/zones/{zone_identifier}/rulesets/{ruleset_id}/versions/{ruleset_version}

Delete a specific version of a specific zone ruleset.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.security.manage

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.zone-rulesets-versions.delete

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

ruleset_id

Required *

string

ID of a specific ruleset

ruleset_version

Required *

string

The version of the ruleset

Query Parameters

Response

204 - Success

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Get a zone entrypoint ruleset

GET /v1/{crn}/zones/{zone_identifier}/rulesets/phases/{ruleset_phase}/entrypoint

Get the zone ruleset for the given phase's entrypoint.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.security.read

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.zone-rulesets-phases-entrypoint.read

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

ruleset_phase

Required *

The phase of the ruleset

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

ruleset_details

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Update a zone entrypoint ruleset

PUT /v1/{crn}/zones/{zone_identifier}/rulesets/phases/{ruleset_phase}/entrypoint

Updates the instance ruleset for the given phase's entry point.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.security.manage

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.zone-rulesets-phases-entrypoint.update

Request

Request Body

ruleset_update

description

string

Description of the ruleset

kind

string

name

string

Human readable name of the ruleset.

phase

string

The phase of the ruleset.

rules

array

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

ruleset_phase

Required *

The phase of the ruleset

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

ruleset_details

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

List a zone entry point ruleset's versions

GET /v1/{crn}/zones/{zone_identifier}/rulesets/phases/{ruleset_phase}/entrypoint/versions

Lists the zone ruleset versions for the given phase's entry point.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.security.read

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.zone-rulesets-phases-entrypoint-versions.read

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

ruleset_phase

Required *

The phase of the ruleset

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

array

Container for response information

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Get a zone entry point ruleset version

GET /v1/{crn}/zones/{zone_identifier}/rulesets/phases/{ruleset_phase}/entrypoint/versions/{ruleset_version}

Fetches a specific version of a zone entry point ruleset.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.security.read

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.zone-rulesets-phases-entrypoint-versions.read

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

ruleset_phase

Required *

The phase of the ruleset

ruleset_version

Required *

string

The version of the ruleset

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

ruleset_details

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Create a zone ruleset rule

POST /v1/{crn}/zones/{zone_identifier}/rulesets/{ruleset_id}/rules

Create a zone ruleset rule.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.security.manage

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.zone-rulesets-rules.create

Request

Request Body

rule_create

action

Required *

string

What happens when there is a match for the rule expression

action_parameters

action_parameters

id

string

Unique ID of the ruleset

overrides

object

version

string

The version of the ruleset. Use "latest" to get the latest version.

ruleset

string

Ruleset ID of the ruleset to apply action to. Use "current" to apply to the current ruleset.

rulesets

array

List of ruleset ids to apply action to. Use "current" to apply to the current ruleset.

response

object

description

string

enabled

boolean

expression

Required *

string

The expression defining which traffic will match the rule.

id

string

logging

logging

enabled

Required *

boolean

ref

string

The reference of the rule (the rule ID by default).

position

position

before

string

The rule ID to place this rule before

after

string

The rule ID to place this rule after

index

integer

The index to place this rule at

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

ruleset_id

Required *

string

ID of a specific ruleset

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

rule_details

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Update a zone ruleset rule

PATCH /v1/{crn}/zones/{zone_identifier}/rulesets/{ruleset_id}/rules/{rule_id}

Update a zone ruleset rule.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.security.manage

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.zone-rulesets-rules.update

Request

Request Body

rule_update

action

string

What happens when there is a match for the rule expression

action_parameters

action_parameters

id

string

Unique ID of the ruleset

overrides

object

version

string

The version of the ruleset. Use "latest" to get the latest version.

ruleset

string

Ruleset ID of the ruleset to apply action to. Use "current" to apply to the current ruleset.

rulesets

array

List of ruleset ids to apply action to. Use "current" to apply to the current ruleset.

response

object

description

string

enabled

boolean

expression

string

The expression defining which traffic will match the rule.

id

string

logging

logging

enabled

Required *

boolean

ref

string

The reference of the rule (the rule ID by default).

position

position

before

string

The rule ID to place this rule before

after

string

The rule ID to place this rule after

index

integer

The index to place this rule at

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

ruleset_id

Required *

string

ID of a specific ruleset

rule_id

Required *

string

ID of a specific rule

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

rule_details

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Delete a zone ruleset rule

DELETE /v1/{crn}/zones/{zone_identifier}/rulesets/{ruleset_id}/rules/{rule_id}

Delete an instance ruleset rule.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.security.manage

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.zone-rulesets-rules.delete

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

ruleset_id

Required *

string

ID of a specific ruleset

rule_id

Required *

string

ID of a specific rule

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

rule_details

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Get Routing feature smart routing setting

GET /v1/{crn}/zones/{zone_identifier}/routing/smart_routing

Get Routing feature smart routing setting for a zone.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.performance.read

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.smart-routing.read

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Update Routing feature smart route setting

PATCH /v1/{crn}/zones/{zone_identifier}/routing/smart_routing

Update Routing feature smart route setting for a zone.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.performance.update

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.smart-routing.update

Request

Request Body

smart_routing_setting

Update Routing feature smart routing setting.

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Get routing tiered cache setting

GET /v1/{crn}/zones/{zone_identifier}/routing/tiered_caching

Get routing tiered cache setting for a zone.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.performance.read

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.tiered-caching.read

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Update routing tiered cache setting

PATCH /v1/{crn}/zones/{zone_identifier}/routing/tiered_caching

Update routing tiered cache setting for a zone.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.performance.update

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.tiered-caching.update

Request

Request Body

routing_tiered_caching_setting

Update routing tiered cache setting.

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Get Routing Latency Analytics

GET /v1/{crn}/zones/{zone_identifier}/routing/latency

Get Routing Latency Analytics for a given zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

bins

integer

The number of bins

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Get Routing Latency Colos Analytics

GET /v1/{crn}/zones/{zone_identifier}/routing/latency/colos

Get Routing Latency Colos Analytics for a given zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Get zone DNSSEC

GET /v1/{crn}/zones/{zone_identifier}/dnssec

Get DNSSEC setting for a given zone.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.reliability.read

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.dnssec.read

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

object

Container for response information

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Update zone DNSSEC

PATCH /v1/{crn}/zones/{zone_identifier}/dnssec

Update DNSSEC setting for given zone.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.reliability.update

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.dnssec.update

Request

Request Body

dnssec_input

Update zone DNSSEC setting.

status

Required *

string

Status

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

object

Container for response information

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Get zone CNAME flattening

GET /v1/{crn}/zones/{zone_identifier}/settings/cname_flattening

Get CNAME flattening setting for a given zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

cname_flattening_response

CNAME Flattening response

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Update zone CNAME flattening

PATCH /v1/{crn}/zones/{zone_identifier}/settings/cname_flattening

Update CNAME flattening setting for given zone.

Request

Request Body

cname_flattening_input

Update zone CNAME flattening setting.

value

Required *

string

Valid values are "flatten_at_root", "flatten_all". "flatten_at_root" - Flatten CNAME at root domain. This is the default value. "flatten_all" - Flatten all CNAME records under your domain.

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

cname_flattening_response

CNAME Flattening response

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Get opportunistic encryption setting

GET /v1/{crn}/zones/{zone_identifier}/settings/opportunistic_encryption

Get opportunistic encryption setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update opportunistic encryption setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/opportunistic_encryption

Update opportunistic encryption setting for a zone.

Request

Request Body

opportunistic_encryption_setting

Update opportunistic encryption setting.

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get opportunistic onion setting

GET /v1/{crn}/zones/{zone_identifier}/settings/opportunistic_onion

Get opportunistic onion setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update opportunistic onion setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/opportunistic_onion

Update opportunistic onion setting for a zone.

Request

Request Body

opportunistic_onion_setting

Update opportunistic encryption setting.

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get challenge TTL setting

GET /v1/{crn}/zones/{zone_identifier}/settings/challenge_ttl

Get challenge TTL setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Update challenge TTL setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/challenge_ttl

Update challenge TTL setting for a zone.

Request

Request Body

challenge_ttl_setting

Update challenge TTL setting

value

Required *

integer

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Get automatic https rewrites setting

GET /v1/{crn}/zones/{zone_identifier}/settings/automatic_https_rewrites

Get automatic https rewrites setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update automatic https rewrites setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/automatic_https_rewrites

Update automatic https rewrites setting for a zone.

Request

Request Body

automatic_https_rewrites_setting

Update automatic https rewrites setting

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get true client IP setting

GET /v1/{crn}/zones/{zone_identifier}/settings/true_client_ip_header

Get true client IP setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update true client IP setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/true_client_ip_header

Update true client IP setting for a zone.

Request

Request Body

zone_property_on_off_setting

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get always use https setting

GET /v1/{crn}/zones/{zone_identifier}/settings/always_use_https

Get always use https setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update always use https setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/always_use_https

Update always use https setting for a zone.

Request

Request Body

zone_property_on_off_setting

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get image size optimization setting

GET /v1/{crn}/zones/{zone_identifier}/settings/image_size_optimization

Get image size optimization setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update image size optimization setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/image_size_optimization

Update image size optimization setting for a zone.

Request

Request Body

image_size_optimization_setting

Update image size optimization setting

value

Required *

string

Valid values are "lossy", "off", "lossless". "lossy" - The file size of JPEG images is reduced using lossy compression, which might reduce visual quality. "off" - Disable Image Size Optimization. "lossless" - Reduce the size of image files without impacting visual quality.

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get script load optimization setting

GET /v1/{crn}/zones/{zone_identifier}/settings/script_load_optimization

Get script load optimization setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update script load optimization setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/script_load_optimization

Update script load optimization setting for a zone.

Request

Request Body

zone_property_on_off_setting

Update script load optimization setting

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get image load optimization setting

GET /v1/{crn}/zones/{zone_identifier}/settings/image_load_optimization

Get image load optimization setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update image load optimization setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/image_load_optimization

Update image load optimization setting for a zone.

Request

Request Body

zone_property_on_off_setting

Update image load optimization setting

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get minify setting

GET /v1/{crn}/zones/{zone_identifier}/settings/minify

Get minify setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update minify setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/minify

Update minify setting for a zone.

Request

Request Body

minify_setting

Update minify setting

value

Required *

object

Value

css

Required *

string

Automatically minify all CSS for your website.

html

Required *

string

Automatically minify all HTML for your website.

js

Required *

string

Automatically minify all JavaScript for your website.

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get minimum TLS version setting

GET /v1/{crn}/zones/{zone_identifier}/settings/min_tls_version

Get minimum TLS version setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update minimum TLS version setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/min_tls_version

Update minimum TLS version setting for a zone.

Request

Request Body

min_tls_version_setting

Update minimum TLS version setting

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get IP geolocation setting

GET /v1/{crn}/zones/{zone_identifier}/settings/ip_geolocation

Get IP geolocation setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update IP geolocation setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/ip_geolocation

Update IP geolocation setting for a zone.

Request

Request Body

zone_property_on_off_setting

Update IP geolocation setting

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get server side exclude setting

GET /v1/{crn}/zones/{zone_identifier}/settings/server_side_exclude

Get server side exclude setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update server side exclude setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/server_side_exclude

Update server side exclude setting for a zone.

Request

Request Body

zone_property_on_off_setting

Update server side exclude setting

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get HTTP strict transport security setting

GET /v1/{crn}/zones/{zone_identifier}/settings/security_header

Get HTTP strict transport security setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update HTTP strict transport security setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/security_header

Update HTTP strict transport security setting for a zone.

Request

Request Body

security_header_setting

Update HTTP strict transport security setting

value

Required *

object

Value

strict_transport_security

Required *

object

Strict transport security

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get mobile redirect setting

GET /v1/{crn}/zones/{zone_identifier}/settings/mobile_redirect

Get mobile redirect setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update mobile redirect setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/mobile_redirect

Update mobile redirect setting for a zone.

Request

Request Body

mobile_redirec_setting

Update mobile redirect setting

value

Required *

object

Value

status

Required *

string

Whether or not the mobile redirection is enabled

mobile_subdomain

Required *

string

Which subdomain prefix you wish to redirect visitors on mobile devices to

strip_uri

Required *

boolean

Whether to drop the current page path and redirect to the mobile subdomain URL root or to keep the path and redirect to the same page on the mobile subdomain

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get prefetch URLs from header setting

GET /v1/{crn}/zones/{zone_identifier}/settings/prefetch_preload

Get prefetch URLs from header setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update prefetch URLs from header setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/prefetch_preload

Update prefetch URLs from header setting for a zone.

Request

Request Body

zone_property_on_off_setting

Update prefetch URLs from header setting

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get HTTP/2 setting

GET /v1/{crn}/zones/{zone_identifier}/settings/http2

Get HTTP/2 setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update HTTP/2 setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/http2

Update HTTP/2 setting for a zone.

Request

Request Body

zone_property_on_off_setting

Update HTTP/2 setting

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get HTTP/3 setting

GET /v1/{crn}/zones/{zone_identifier}/settings/http3

Get HTTP/3 setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update HTTP/3 setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/http3

Update HTTP/3 setting for a zone.

Request

Request Body

zone_property_on_off_setting

Update HTTP/3 setting

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get IPv6 compatibility setting

GET /v1/{crn}/zones/{zone_identifier}/settings/ipv6

Get IPv6 compatibility setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update IPv6 compatibility setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/ipv6

Update IPv6 compatibility setting for a zone.

Request

Request Body

zone_property_on_off_setting

Update IPv6 compatibility setting

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get web sockets setting

GET /v1/{crn}/zones/{zone_identifier}/settings/websockets

Get web sockets setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update web sockets setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/websockets

Update web sockets setting for a zone.

Request

Request Body

zone_property_on_off_setting

Update web sockets setting

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get pseudo IPv4 setting

GET /v1/{crn}/zones/{zone_identifier}/settings/pseudo_ipv4

Get pseudo IPv4 setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update pseudo IPv4 setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/pseudo_ipv4

Update pseudo IPv4 setting for a zone.

Request

Request Body

pseudo_ipv4_setting

Update pseudo IPv4 setting

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get response buffering setting

GET /v1/{crn}/zones/{zone_identifier}/settings/response_buffering

Get response buffering setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update response buffering setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/response_buffering

Update response buffering setting for a zone.

Request

Request Body

zone_property_on_off_setting

Update response buffering setting

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get maximum upload size setting

GET /v1/{crn}/zones/{zone_identifier}/settings/max_upload

Get maximum upload size setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update maximum upload size setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/max_upload

Update maximum upload size setting for a zone.

Request

Request Body

max_upload_setting

Update maximum upload size setting

value

Required *

integer

Valid values(in MB) for "max_upload" are 100, 125, 150, 175, 200, 225, 250, 275, 300, 325, 350, 375, 400, 425, 450, 475, 500. Values 225, 250, 275, 300, 325, 350, 375, 400, 425, 450, 475, 500 are only for Enterprise Plan.

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get TLS Client Auth setting

GET /v1/{crn}/zones/{zone_identifier}/settings/tls_client_auth

Get TLS Client Auth setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update TLS Client Auth setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/tls_client_auth

Update TLS Client Auth setting for a zone.

Request

Request Body

zone_property_on_off_setting

Update TLS Client Auth setting

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get brotli setting

GET /v1/{crn}/zones/{zone_identifier}/settings/brotli

Get brotli setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update brotli setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/brotli

Update brotli setting for a zone.

Request

Request Body

zone_property_on_off_setting

Update brotli setting

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get proxy read timeout setting

GET /v1/{crn}/zones/{zone_identifier}/settings/proxy_read_timeout

Get proxy read timeout setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update proxy read timeout setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/proxy_read_timeout

Update proxy read timeout setting for a zone.

Request

Request Body

proxy_read_timeout_setting

Update proxy read timeout setting

value

Required *

number

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get browser check setting

GET /v1/{crn}/zones/{zone_identifier}/settings/browser_check

Get browser check setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update browser check setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/browser_check

Update browser check setting for a zone.

Request

Request Body

zone_property_on_off_setting

Update browser check setting

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get enable error pages on setting

GET /v1/{crn}/zones/{zone_identifier}/settings/origin_error_page_pass_thru

Get enable error pages on setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update enable error pages on setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/origin_error_page_pass_thru

Update enable error pages on setting for a zone.

Request

Request Body

zone_property_on_off_setting

Update Enable error pages on setting

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get web application firewall setting

GET /v1/{crn}/zones/{zone_identifier}/settings/waf

Get web application firewall setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update web application firewall setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/waf

A Web Application Firewall (WAF) blocks requests that contain malicious content.

Request

Request Body

zone_property_on_off_setting

Update web application firewall setting

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get ciphers setting

GET /v1/{crn}/zones/{zone_identifier}/settings/ciphers

Get ciphers setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update ciphers setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/ciphers

Update ciphers setting for a zone.

Request

Request Body

ciphers_setting

Update ciphers setting

value

Required *

array

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get origin max http version setting

GET /v1/{crn}/zones/{zone_identifier}/settings/origin_max_http_version

Get origin max http version setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update origin max http version setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/origin_max_http_version

Update origin max http version setting for a zone.

Request

Request Body

origin_max_http_version

Update ciphers setting

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get origin post quantum encryption setting

GET /v1/{crn}/zones/{zone_identifier}/cache/origin_post_quantum_encryption

Get origin post quantum encryption setting for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name (CRN) of resource instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was the get successful

errors

array

Array of errors encountered

messages

array

Array of messages returned

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update origin post quantum encryption setting

PUT /v1/{crn}/zones/{zone_identifier}/cache/origin_post_quantum_encryption

Update origin post quantum encryption setting for a zone.

Request

Request Body

origin_post_quantum_encryption

Update ciphers setting

value

Required *

string

Instructs CIS to use Post-Quantum (PQ) key agreement algorithms when connecting to your origin.

  • `preferred`: Instructs CIS to opportunistically send a Post-Quantum keyshare in the first message to the origin for fastest connections when the origin supports and prefers PQ.
  • `supported`: The PQ algorithms are advertised but used only when requested by the origin.
  • `off`: The PQ algorithms are not advertised.

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name (CRN) of resource instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

success

boolean

Was the get successful

errors

array

Array of errors encountered

messages

array

Array of messages returned

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get replace insecure Javascript setting

GET /v1/{crn}/zones/{zone_identifier}/settings/replace_insecure_js

Get replace insecure Javascript for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name (CRN) of resource instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

result_info

object

Result information

success

boolean

Was the get successful

errors

array

Array of errors encountered

messages

array

Array of messages returned

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update replace insecure Javascript setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/replace_insecure_js

Update replace insecure Javascript setting for a zone.

Request

Request Body

replace_insecure_js

Update ciphers setting

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name (CRN) of resource instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

result_info

object

Result information

success

boolean

Was the get successful

errors

array

Array of errors encountered

messages

array

Array of messages returned

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Get email address obfuscation setting

GET /v1/{crn}/zones/{zone_identifier}/settings/email_obfuscation

Get email address obfuscation for a zone.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name (CRN) of resource instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

result_info

object

Result information

success

boolean

Was the get successful

errors

array

Array of errors encountered

messages

array

Array of messages returned

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

Update email address obfuscation setting

PATCH /v1/{crn}/zones/{zone_identifier}/settings/email_obfuscation

Update email address obfuscation setting for a zone.

Request

Request Body

email_obfuscation

Update email address obfuscation setting

value

Required *

string

Value

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name (CRN) of resource instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

result

object

Container for response information

result_info

object

Result information

success

boolean

Was the get successful

errors

array

Array of errors encountered

messages

array

Array of messages returned

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

500 - Internal server error

List all IP addresses used by the CIS proxy

GET /v1/ips

List of all IP addresses used by the CIS proxy.

Request

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

object

Container for response information

400 - Bad Request

404 - Resource not found

500 - Internal Server Error

504 - Gateway Timeout! Backend endpoint did not respond on time

List all load balancers

GET /v1/{crn}/zones/{zone_identifier}/load_balancers

List configured load balancers.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.reliability.read

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.load-balancers.read

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

load_balancer_result

Result

result_info

result_info

Result information

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Create load balancer

POST /v1/{crn}/zones/{zone_identifier}/load_balancers

Create a load balancer for a given zone. The zone should be active before placing an order of a load balancer.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.reliability.manage

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.load-balancers.create

Request

Request Body

load_balancer_req

Order a load balancer.

name

Required *

string

Name

fallback_pool

Required *

string

Fallback pool

default_pools

Required *

default_pools

Default pools

description

string

Desc

ttl

integer

TTL

region_pools

region_pools

Region pools

pop_pools

pop_pools

Pop pools

proxied

boolean

Proxied

enabled

boolean

Enabled/disabled

session_affinity

string

Session affinity

steering_policy

string

Steering policy

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

load_balancer_pack

Load balancer pack

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Edit load balancer

PUT /v1/{crn}/zones/{zone_identifier}/load_balancers/{load_balancer_identifier}

Edit porperties of an existing load balancer.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.reliability.update

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.load-balancers.update

Request

Request Body

load_balancer_req

Edit properties

name

Required *

string

Name

fallback_pool

Required *

string

Fallback pool

default_pools

Required *

default_pools

Default pools

description

string

Desc

ttl

integer

TTL

region_pools

region_pools

Region pools

pop_pools

pop_pools

Pop pools

proxied

boolean

Proxied

enabled

boolean

Enabled/disabled

session_affinity

string

Session affinity

steering_policy

string

Steering policy

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

load_balancer_identifier

Required *

string

Load balancer identifier

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

load_balancer_pack

Load balancer pack

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Delete load balancer

DELETE /v1/{crn}/zones/{zone_identifier}/load_balancers/{load_balancer_identifier}

Delete a load balancer.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.reliability.manage

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.load-balancers.delete

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

load_balancer_identifier

Required *

string

Load balancer identifier

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

object

Result

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Get load balancer

GET /v1/{crn}/zones/{zone_identifier}/load_balancers/{load_balancer_identifier}

For a given zone identifier and load balancer ID, get the load balancer settings.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

load_balancer_identifier

Required *

string

Load balancer identifier

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

load_balancer_pack

Load balancer pack

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Export zone file

GET /v1/{crn}/zones/{zone_identifier}/dns_records_bulk

Export zone file

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.reliability.read

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.dns-records-bulk.read

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Import zone file

POST /v1/{crn}/zones/{zone_identifier}/dns_records_bulk

Import zone file

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.reliability.manage

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.dns-records-bulk.create

Request

Request Body

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

object

DNS record

timing

object

Timing object

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

List all firewall access rules

GET /v1/{crn}/zones/{zone_identifier}/firewall/access_rules/rules

List all firewall access rules for a zone.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.security.read

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.ip-firewall-rules.read

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

notes

string

Search access rules by note.(Not case sensitive)

mode

string

Search access rules by mode.

configuration.target

string

Search access rules by configuration target

configuration.value

string

Search access rules by configuration value which can be IP, IPrange, or country code

page

integer

Page number of paginated results.

per_page

integer

Maximum number of access rules per page.

order

string

Field by which to order list of access rules.

direction

string

Direction in which to order results [ascending/descending order].

match

string

Whether to match all (all) or atleast one search parameter (any).

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

array

Container for response information

result_info

result_info

Result information

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Create firewall access rule

POST /v1/{crn}/zones/{zone_identifier}/firewall/access_rules/rules

Create a new firewall access rule for a given zone under a service instance.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.security.manage

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.ip-firewall-rules.create

Request

Request Body

zone_access_rule_input

Access rule parameters.

mode

Required *

string

The action to apply to a matched request

notes

Required *

string

A personal note about the rule. Typically used as a reminder or explanation for the rule.

configuration

Required *

object

Configuration object specifying access rule

target

Required *

string

The request property to target

value

Required *

string

Value for the given target. For `ip`, the value is a valid IP address. For `ip_range`, the value specifies an IP range limited to /16 and /24. For `asn`, the value is an AS number. For `country`, the value is a country code for the country.

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

zone_access_rule_object

Access rule object

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Delete firewall access rule

DELETE /v1/{crn}/zones/{zone_identifier}/firewall/access_rules/rules/{accessrule_identifier}

Delete an access rule, given its ID.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • internet-svcs.security.manage

Auditing

Calling this method generates the following auditing event.

  • internet-svcs.ip-firewall-rules.delete

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

accessrule_identifier

Required *

string

Identifier of the access rule to be deleted.

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

object

Container for response information

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Get firewall access rule

GET /v1/{crn}/zones/{zone_identifier}/firewall/access_rules/rules/{accessrule_identifier}

Get the details of a firewall access rule for a given zone under a given service instance.

Request

Path Parameters

crn

Required *

string

Full URL-encoded cloud resource name of the service instance

zone_identifier

Required *

string

Zone identifier

accessrule_identifier

Required *

string

Identifier of firewall access rule for the given zone.

Query Parameters

Response

200 - Success

success

boolean

Was operation successful

errors

errors

Errors

messages

messages

Messages

result

zone_access_rule_object

Access rule object

400 - Bad Request

401 - Unauthorized

403 - Forbidden! User has no privilege

404 - Resource not found

500 - Internal server error

Update firewall access rule

PATCH /v1/{crn}/zones/{zone_identifier}/firewall/access_rules/rules/{accessrule_identifier}

Update an existing firewall access rule for a given zone under a given service instance.

Authorization

[...]
